<?xml version="1.0" encoding="UTF-8"?>
<persistence version="2.1" xmlns="http://xmlns.jcp.org/xml/ns/persistence" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://xmlns.jcp.org/xml/ns/persistence http://xmlns.jcp.org/xml/ns/persistence/persistence_2_1.xsd">
  <persistence-unit name="DemoJPAPU" transaction-type="RESOURCE_LOCAL">
    <provider>org.hibernate.jpa.HibernatePersistenceProvider</provider>
<!--    <class>ar.edu.utnfc.argprog.data.entities.ActorEntity</class>-->
<!--    <class>ar.edu.utnfc.argprog.data.entities.AddressEntity</class>-->
<!--    <class>ar.edu.utnfc.argprog.data.entities.CategoryEntity</class>-->
<!--    <class>ar.edu.utnfc.argprog.data.entities.CityEntity</class>-->
<!--    <class>ar.edu.utnfc.argprog.data.entities.CountryEntity</class>-->
<!--    <class>ar.edu.utnfc.argprog.data.entities.CustomerEntity</class>-->
<!--    <class>ar.edu.utnfc.argprog.data.entities.FilmActorEntity</class>-->
<!--    <class>ar.edu.utnfc.argprog.data.entities.FilmCategoryEntity</class>-->
<!--    <class>ar.edu.utnfc.argprog.data.entities.FilmEntity</class>-->
<!--    <class>ar.edu.utnfc.argprog.data.entities.FilmTextEntity</class>-->
<!--    <class>ar.edu.utnfc.argprog.data.entities.InventoryEntity</class>-->
<!--    <class>ar.edu.utnfc.argprog.data.entities.LanguageEntity</class>-->
<!--    <class>ar.edu.utnfc.argprog.data.entities.PaymentEntity</class>-->
<!--    <class>ar.edu.utnfc.argprog.data.entities.RentalEntity</class>-->
<!--    <class>ar.edu.utnfc.argprog.data.entities.StaffEntity</class>-->
<!--    <class>ar.edu.utnfc.argprog.data.entities.StoreEntity</class>-->
    <shared-cache-mode>ENABLE_SELECTIVE</shared-cache-mode>
    <properties>
      <property name="jakarta.persistence.jdbc.url" value="jdbc:mysql://localhost:3306/sakila"/>
      <property name="jakarta.persistence.jdbc.password" value="mysql@dmin"/>
      <property name="jakarta.persistence.jdbc.driver" value="com.mysql.cj.jdbc.Driver"/>
      <property name="jakarta.persistence.jdbc.user" value="philip"/>
      <property name="eclipselink.logging.level" value="CONFIG"/>

      <!-- Propiedades adicionales de Hibernate -->
      <property name="hibernate.dialect" value="org.hibernate.dialect.MySQLDialect"/>
      <property name="hibernate.show_sql" value="true"/>
      <property name="hibernate.hbm2ddl.auto" value="update"/>
    </properties>
  </persistence-unit>
</persistence>
